# keycloak_realm_info – Allows obtaining Keycloak realm public information using Keycloak API — Keycloak Ansible Collection documentation

# keycloak_realm_info – Allows obtaining Keycloak realm public information using Keycloak API

Note

This module is part of the middleware_automation.keycloak collection.

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install middleware_automation.keycloak`.

To use it in a playbook, specify: `middleware_automation.keycloak.keycloak_realm_info`.

New in middleware_automation.keycloak 3.0.0

## Synopsis

- This module allows you to get Keycloak realm public information using the Keycloak REST API.

- The names of module options are snake_cased versions of the camelCase ones found in the Keycloak API and its documentation at https://www.keycloak.org/docs-api/latest/rest-api/index.html.

- Attributes are multi-valued in the Keycloak API. All attributes are lists of individual values and are returned that way by this module. You may pass single values for attributes when calling the module, and this is translated into a list suitable for the API.

## Parameters

Parameter | Comments
--- | ---
auth_keycloak_url aliases: url string / required | URL to the Keycloak instance.
realm string | They Keycloak realm ID. Default: `"master"`

validate_certs

boolean

Verify TLS certificates (do not disable this in production).

Choices:

- `false`

- `true` ← (default)

## Attributes

Attribute | Support | Description
--- | --- | ---
check_mode | Support: full This action does not modify state. | Can run in `check_mode` and return changed status prediction without modifying target.
diff_mode | Support: N/A This action does not modify state. | Will return details on what has changed (or possibly needs changing in `check_mode`), when in diff mode.

## Examples

    - name: Get a Keycloak public key
      middleware_automation.keycloak.keycloak_realm_info:
        realm: MyCustomRealm
        auth_keycloak_url: https://auth.example.com
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Description
--- | ---
msg string | Message as to what action was taken. Returned: always
realm_info dictionary | Representation of the realm public information. Returned: always
account-service string | Account console URL. Returned: always Sample: `"https://auth.example.com/realms/MyRealm/account"`
public_key string | Public key of the realm. Returned: always Sample: `"MIIBIjANBgkqhkiG9w0BAQEFAAO..."`
realm string | Realm ID. Returned: always Sample: `"MyRealm"`
token-service string | Token endpoint URL. Returned: always Sample: `"https://auth.example.com/realms/MyRealm/protocol/openid-connect"`
tokens-not-before integer | The token not before. Returned: always Sample: `0`

### Authors

- Fynn Chen (@fynncfchen)